# Uses of Class
org.eclipse.swt.widgets.TreeColumn

Packages that use TreeColumn
Package
Description
org.eclipse.swt.widgets

## Uses of TreeColumn in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return TreeColumn
Modifier and Type
Method
Description
`TreeColumn`
Tree.`getColumn(int index)`
Returns the column at the given, zero-relative index in the receiver.
`TreeColumn[]`
Tree.`getColumns()`
Returns an array of `TreeColumn`s which are the columns in the receiver.
`TreeColumn`
Tree.`getSortColumn()`
Returns the column which shows the sort indicator for the receiver.
Methods in org.eclipse.swt.widgets with parameters of type TreeColumn
Modifier and Type
Method
Description
`int`
Tree.`indexOf(TreeColumn column)`
Searches the receiver's list starting at the first column (index 0) until a column is found that is equal to the argument, and returns the index of that column.
`void`
Tree.`setSortColumn(TreeColumn column)`
Sets the column used by the sort indicator for the receiver.
`void`
Tree.`showColumn(TreeColumn column)`
Shows the column.